diff utils/docker-entrypoint.sh @ 14:5643072a1af9

DEP-7: formalize ssdt-utils image. add template preview usas compose file
author smith@nwoca.org
date Sun, 27 Dec 2015 19:24:12 +0000
parents
children 334d65dac778
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/utils/docker-entrypoint.sh	Sun Dec 27 19:24:12 2015 +0000
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+if [ "$1" = 'update' ]; then
+  cd $SSDT_HOME
+  if [ ! -d ".hg" ]; then
+	  echo "cloning repository $SSDT_DOCKER  to $SSDT_HOME"
+	  mkdir -p $SSDT_HOME
+      hg init
+  fi
+  echo "pulling updates"
+  hg pull -y $SSDT_DOCKER
+  hg update default
+
+else
+
+  exec "$@"
+
+fi
\ No newline at end of file